
Redmine - Feature #6024

Single-button repository reset

2010-08-03 16:33 - Thibaut Cuvelier

Status: Closed Start date: 2010-08-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We have recently tried the //pre-revprop-change// hook on SVN (which allows you to change previous commits' properties

afterwards). The problem is that Redmine is not aware of the changes! The only solution we found is to deactive the project's

repository then to reactive it. It is not as clean as expected for Redmine, I'd say. Could you provide a button in the Repository tab for

resetting the repository (at least erase the cache for this repo)? If you find a way to be aware of those changes, it would be

marvellous, but I really do not know if it is possible technically speaking ...

Related issues:

Has duplicate Redmine - Feature #7031: Reload log records from SCM Closed 2010-12-03

History

#1 - 2010-08-03 17:33 - Felix Schäfer

Changing the past/commit logs is a Bad Thing™ and should be avoided at all costs.

Technically it's also a challenge, imagine: you have a ticket, close it in a commit message, reopen it for some reason and then decide to reset the

commit message "cache" in redmine, what should redmine do when hitting that commit message again? Close the ticket? People would be pissed

that tickets get closed willy-nilly. Remember the previous closing somewhere and leave the ticket open? Non-trivial at best, and very error-prone I'd

imagine. Leave the ticket as-is? So how do you decide which ones to not close? And people would get pissed that it didn't auto-close their ticket as

expected…

Anyway, I believe there already have been requests for that, please see if you can find them, not sure if they have been rejected or not though.

#2 - 2011-03-29 07:19 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #1273.
